Skip to navigation

Update Company Payment Methods

Updates whether the payment methods included in the request body are enabled for the Company associated with companyId.

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

companyIdintegerRequired
The unique numeric ID of the Company assigned by B2B Edition.

Request

This endpoint expects an object.
paymentslist of objectsOptional

Response

SUCCESS
codeintegerOptionalDefaults to 200
Operation status code.
datalist of objectsOptionalDefaults to []
metaobjectOptional

Errors

400
Bad Request Error
404
Not Found Error